package com.rf.psychological.opLog.service;

import com.rf.psychological.opLog.dao.SysLogEntity;
import org.springframework.data.domain.Page;

import java.util.Date;

/**
 * @author lpf
 * @description:
 * @date 2022/1/614:35
 */
public interface SysLogService {

    void deleteById(String id);

    SysLogEntity save(SysLogEntity sysLogEntity);

    Page<SysLogEntity> findByInstitutionNo(String institutionNo, String searchKey, Date beginTime, Date endTime, String searchUserName, String type, int beginNum, int pageSize);
}
